### Method

# WebKit Download get_allow_overwrite

#### Declaration [src]

    gboolean
    webkit_download_get_allow_overwrite (
      WebKitDownload* download
    )

#### Description [src]

Returns the current value of the `WebKitDownload:allow-overwrite` property.

Returns the current value of the `WebKitDownload:allow-overwrite` property, which determines whether the download will overwrite an existing file on disk, or if it will fail if the destination already exists.

Available since: | 2.6

Gets property | `WebKit.Download:allow-overwrite`

#### Return value

Returns: | `gboolean`
| The current value of the `WebKitDownload:allow-overwrite` property.